DtDtsFindAttribute(library call)

NAME
DtDtsFindAttribute — get a specified list of data types

SYNOPSIS

#include &<Dt/Dts.h>
char **DtDtsFindAttribute(
const char *attr_name,
const char *attr_value);

DESCRIPTION

The DtDtsFindAttribute function returns the list of data types that have an attribute name that equals the specified value.

The attr_name argument is the attribute name.

The attr_value argument is the value of an attribute to be matched.

RETURN VALUE

Upon successful completion, the DtDtsFindAttribute function returns a NULL-terminated array of data types, or NULL if no value could be determined.

APPLICATION USAGE

The application should use the DtDtsFreeDataTypeNames(3) function to release the memory for the returned value.

SEE ALSO

Dt/Dts.h, DtDtsLoadDataTypes(3), DtDtsFreeDataTypeNames(3).